### Class

# Camel IndexCursor

#### Description

    class Camel.IndexCursor : GObject.Object
    {
      CamelIndexCursorPrivate* priv,
      CamelIndex* index
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- CamelTextIndexCursor
- CamelTextIndexKeyCursor

#### Instance methods

###### camel_index_cursor_next

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelIndexCursorClass {
      GObjectClass parent;
      const gchar* (* next) (
        CamelIndexCursor* idc
      );
      gpointer reserved;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.

`next: const gchar* (* next) ( CamelIndexCursor* idc )`

  No description available.

`reserved: gpointer`

  No description available.

#### Virtual methods

###### Camel.IndexCursorClass.next

No description available.